> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superform.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user rewards summary

> Returns rewards summary for a user including epoch stats



## OpenAPI

````yaml https://persephone.superform.xyz/openapi.json get /v1/rewards/summary/{user_address}
openapi: 3.1.0
info:
  title: Superform API
  description: API for interacting with the Superform platform
  version: 33.2.0
  contact:
    name: Superform Team
    url: https://superform.xyz
servers:
  - url: https://persephone.superform.xyz
security:
  - SF-API-KEY: []
tags:
  - name: RestAPIService
paths:
  /v1/rewards/summary/{user_address}:
    get:
      tags:
        - rewards
      summary: Get user rewards summary
      description: Returns rewards summary for a user including epoch stats
      operationId: RestAPIService_GetRewardsSummary
      parameters:
        - name: user_address
          in: path
          required: true
          schema:
            type: string
        - name: epoch
          description: 'Optional: if 0, use epoch_0_snapshot; otherwise use live epoch data'
          in: query
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/restGetRewardsSummaryResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    restGetRewardsSummaryResponse:
      type: object
      properties:
        epoch:
          $ref: '#/components/schemas/restEpochSummary'
        user:
          $ref: '#/components/schemas/restUserSummary'
        season_1:
          $ref: '#/components/schemas/restLegacySeasonSummary'
        season_2:
          $ref: '#/components/schemas/restLegacySeasonSummary'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    restEpochSummary:
      type: object
      properties:
        id:
          type: string
          format: int64
        name:
          type: string
        total_points_earned:
          type: number
          format: double
        total_participants:
          type: string
          format: int64
        from_timestamp:
          type: string
          format: date-time
        to_timestamp:
          type: string
          format: date-time
    restUserSummary:
      type: object
      properties:
        points:
          type: number
          format: double
        points_per_day:
          type: number
          format: double
          title: Changed from points_per_hour to match v1 response
        referrals_direct:
          type: integer
          format: int32
        referrals_indirect:
          type: integer
          format: int32
        rank:
          type: string
          format: int64
    restLegacySeasonSummary:
      type: object
      properties:
        user_points:
          type: number
          format: double
        total_points:
          type: number
          format: double
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    SF-API-KEY:
      type: apiKey
      description: >-
        API key required for authentication. Use the value {{v2_api_key}} in
        Postman.
      name: SF-API-KEY
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.